# $Revision: 1.32 $, $Date: 2011/12/20 19:37:16 $
%define guide_version 0.10.2-1
Summary:	Realistic sky generator
Summary(pl.UTF-8):	Realistyczny generator obrazu nieba
Name:		stellarium
Version:	0.10.6
Release:	2
License:	GPL v2
Group:		X11/Applications/Science
Source0:	http://downloads.sourceforge.net/stellarium/%{name}-%{version}.tar.gz
# Source0-md5:	daab49529f0ad76efe871b639ac79295
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	http://downloads.sourceforge.net/stellarium/%{name}_user_guide-%{guide_version}.pdf
# Source3-md5:	8da17ee33510f57cbfdb321d8ae43c59
URL:		http://www.stellarium.org/
BuildRequires:	OpenGL-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	QtOpenGL-devel
BuildRequires:	QtScript-devel
BuildRequires:	QtTest-devel
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	curl-devel
BuildRequires:	freetype-devel
BuildRequires:	gettext-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libpng-devel >= 2:1.2.0
BuildRequires:	perl-tools-pod
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Stellarium renders 3D realistic skies in real time with OpenGL. It
displays stars, constellations, planets, nebulas and others things
like ground, landscape, fog, etc. Main features:
- Over 120000 stars from the Hipparcos Catalogue with name and infos
  for the brightest ones.
- Planets in real time, with a powerfull zoom mode.
- Drawing of the 88 constellations with their names.
- More than 40 messiers objects (Orion, M31 etc..).
- Photorealistic Milky Way.
- Ground, fog, and landscape.
- Star twinkling.
- Time control (real time and accelered time modes).
- Clikable stars, planets and nebulas with informations.
- Smooth real time navigation.
- Windowed and fullscreen modes.

%description -l pl.UTF-8
Stellarium przy pomocy OpenGL-a oddaje w czasie rzeczywistym
trójwymiarowe, realistyczne obrazy nieba. Wyświetla gwiazdy,
konstelacje, planety, mgławice i inne obiekty takie jak powierzchnia
ziemi, krajobrazy, mgła, itp. Główne cechy to:
- Ponad 120000 gwiazd z "Hipparcos Catalogue" z nazwami i opisem
  najjaśniejszych.
- Planety w czasie rzeczywistym z możliwością dużego powiększania.
- Wyświetlanie 88 konstelacji wraz z ich nazwami.
- Ponad 40 obiektów messiera (Orion, M31, itp...).
- Realistyczna Droga Mleczna.
- Powierzchnia, mgła i krajobraz.
- Migotanie gwiazd.
- Kontrola czasu (tryby czasu rzeczywistego i przyśpieszonego).
- Dostęp do informacji na temat gwiazd, planet i mgławic po ich
  kliknięciu.
- Płynna nawigacja w czasie rzeczywistym.
- Tryb pracy pełnoekranowej i w oknie.

%prep
%setup -q

install %{SOURCE3} .

%build
%cmake \
		-DCMAKE_INSTALL_PREFIX=%{_prefix} \
		.

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

rm -r $RPM_BUILD_ROOT%{_localedir}/{fil,haw,hrx,sco}

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README %{name}_user_guide-%{guide_version}.pdf
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_mandir}/man1/%{name}.1*
%{_pixmapsdir}/%{name}.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: stellarium.spec,v $
Revision 1.32  2011/12/20 19:37:16  arekm
- release 2

Revision 1.31  2011/02/08 01:10:48  sparky
- BR: QtTest-devel

Revision 1.30  2011/02/07 19:54:42  jajcus
- Version: 0.10.6
- remove unsupported locales in %install, the patch was hard to maintain
- libpng patch doesn't seem needed any more

Revision 1.29  2010/02/11 17:01:12  megabajt
- added -libpng.patch
- release 3

Revision 1.28  2010/02/09 01:22:53  sparky
- dropped BR: SDL_mixer-devel

Revision 1.27  2010/02/06 21:14:14  arekm
- release 2

Revision 1.26  2009/12/03 23:22:58  sparky
- BR: QtNetwork-devel, perl-tools-pod, qt4-build, qt4-qmake

Revision 1.25  2009/10/04 19:43:23  jajcus
- Version: 0.10.2

Revision 1.24  2009/07/12 13:29:36  arekm
- release 3

Revision 1.23  2009/04/01 10:05:47  spider
- missing br: boost-devel

Revision 1.22  2009/01/05 15:46:51  jajcus
- Release: 2

Revision 1.21  2009/01/04 13:57:44  jajcus
- Version: 0.10.0

Revision 1.20  2007/07/08 20:15:48  qboosh
- hw comment

Revision 1.19  2007/07/05 08:14:24  blekot
- added patch to remove hw locale
- STBR

Revision 1.18  2007/06/22 16:09:20  wolf
- 0.9.0

Revision 1.17  2007/04/24 10:46:08  blekot
- up to 0.8.2

Revision 1.16  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.14  2006/05/12 16:22:41  piti
- up to 0.8.0

Revision 1.13  2005/10/22 20:59:09  qboosh
- BR: libpng-devel

Revision 1.12  2005/10/22 19:46:55  yogib
- updated to 0.7.1, removed AC/AM suff, added lang files

Revision 1.11  2004/12/31 03:20:30  snurf
- pl fixes

Revision 1.10  2004/12/12 15:56:33  yogib
- dropped Source0-size

Revision 1.9  2004/12/12 15:31:25  yogib
- updated to 0.6.2

Revision 1.8  2004/10/29 11:18:00  paladine
- spelling fixes

Revision 1.7  2004/10/17 19:02:06  yogib
- updated to 0.6.1, removed obsoleted patches

Revision 1.6  2004/09/28 15:56:42  yogib
- added observatory and main patches to fix some bugs

Revision 1.5  2004/06/02 20:37:27  qboosh
- allow uncompressed man

Revision 1.4  2004/06/02 20:27:40  yogib
- updated to 0.6.0, removed config patch
- added autoconf patch to pass proper CFLAGS, added man

Revision 1.3  2004/01/23 09:15:38  qboosh
- typo, cosmetics

Revision 1.2  2004/01/22 21:27:30  yogib
- rel 1

Revision 1.1  2004/01/21 21:58:44  yogib
- added, nfy
